package ch.dvbern.stvbe.security.saml.handler.extract;

import org.opensaml.SAMLAssertion;

/**
 * Interface fuer einen SAML Assertion Extractor
 * @author GEMA
 */
public interface SamlAssertionExtractor {
	
	/**
	 * Extrahiert die SAML Assertion
	 * @return die Assertion
	 */
	SAMLAssertion getSAMLAssertion();

}
