package ch.dvbern.stvbe.security.saml.handler.extract;

/**
 * Signalisiert einen Fehler beim Extrahieren der SAML Assertion
 * @author GEMA
 */
public class SamlAssertionExtractorException extends RuntimeException {

	private static final long serialVersionUID = 1L;

	/**
	 * Konstruktor
	 * @param message die Meldung
	 * @param cause die Ursache
	 */
	public SamlAssertionExtractorException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * Konstruktor
	 * @param message die Meldung
	 */
	public SamlAssertionExtractorException(String message) {
		super(message);
	}
	
}
