package ch.dvbern.stvbe.security.saml.simplewscall;

/**
 * Das Template für den Request konnte nicht gefunden werden.
 * 
 * @author ea38
 */
public class RequestTemplateNotFoundException extends Exception {
	private static final long serialVersionUID = 1L;

	private final String mTemplateName;

	/**
	 * @param templateName
	 */
	public RequestTemplateNotFoundException(String templateName) {
		super("Template " + templateName + " was not found");
		mTemplateName = templateName;
	}

	/**
	 * @return den Namen
	 */
	public String getTemplateName() {
		return mTemplateName;
	}

}
