package ch.dvbern.stvbe.security.saml.simplewscall;

/**
 * Fehler beim Aufrufen des Webservices. Der Webservice konnte nicht aufgerufen
 * werden. Für vom Webservice selber geworfene Fehler (SOAP-Faults) wird diese
 * Exception nicht geworfen.
 * 
 * @author ea38
 */
public class WebserviceCallException extends TechnicalWebserviceCallException {
	private static final long serialVersionUID = 1L;

	/**
	 * 
	 */
	public WebserviceCallException() {
		super();
	}

	/**
	 * @param message
	 * @param cause
	 */
	public WebserviceCallException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * @param message
	 */
	public WebserviceCallException(String message) {
		super(message);
	}

	/**
	 * @param cause
	 */
	public WebserviceCallException(Throwable cause) {
		super(cause);
	}

}
