package ch.dvbern.stvbe.security.saml.util;

/**
 * Konstanten fuer die zu verwendenden Namespaces
 * @author GEMA
 */
public class NsConstants {

	/**
	 * SOAP Envelope
	 */
	public static final String SOAPENV = "http://schemas.xmlsoap.org/soap/envelope/";
	
	/**
	 * SAML
	 */
	public static final String SAML = "urn:oasis:names:tc:SAML:1.0:assertion";
	
	/**
	 * Web Service Security
	 */
	public static final String WSS = "http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd";
	
	/**
	 * Web Service Trust
	 */
	public static final String WST = "http://docs.oasis-open.org./ws-sx/ws-trust/200512";
	
	/**
	 * Digital Signature
	 */
	public static final String DSIG = "http://www.w3.org/2000/09/xmldsig#";

	private NsConstants() {
	}
	

}
