package ch.dvbern.stvbe.security.saml.handler.util;

/**
 * Signalisiert einen Fehler beim Validieren der SAML Assertion
 * @author GEMA
 */
public class SamlValidationException extends Exception {

	private static final long serialVersionUID = 1L;

	/**
	 * Konstruktor
	 * @param message die Meldung
	 * @param cause die Ursache
	 */
	public SamlValidationException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * Konstruktor
	 * @param message die Meldung
	 */
	public SamlValidationException(String message) {
		super(message);
	}
	
}
