package ch.dvbern.stvbe.security.saml.key;

import java.security.PublicKey;
import java.util.Set;


/**
 * Einfache Provider-Klasse, welche ein Objekt zum Laden des {@link PublicKey}s zur Verfuegung stellt.
 * 
 * @author beph
 */
public interface PublicKeyProvider {
	
	/**
	 * Laedt den {@link PublicKey} und gibt diesen zurueck. 
	 * 
	 * @return  den Key
	 */
	Set<PublicKey> getPublicKeys();
	
	
	
}
